Perp Isolated

Get canceled trades

GET/perp/isolated/trades/canceledPrivate

Get your canceled trades: of every perpetual market, or of one market when instrument and pair are both passed. Paginated, newest first; from and to filter on the cancel time.

Permissions: futures:isolated:read

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-11-02T11:07:07.047Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?

Cursor for pagination: the nextCursor of the previous page, passed as cursor[value] and cursor[id]

instrument?string

Instrument of the market

Value in"inverse_perp""quanto_perp"
pair?string

Pair of the market

Response Body

OK

application/json
  1. response
data*array<>
nextCursor*|

Cursor to use for fetching the next page of results: the last row's sort date and id. Pass it back as the cursor parameter of the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient({
  key: 'your-key',
  secret: 'your-secret',
  passphrase: 'your-passphrase',
})

const result = await client.perp.isolated.getCanceledTrades({
  from: '1970-01-01T00:00:00.000Z',
  to: '2026-11-02T11:07:06.159Z',
  limit: 500,
  instrument: 'inverse_perp',
  pair: 'btc_usd'
})
{
  "data": [
    {
      "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
      "instrument": "inverse_perp",
      "pair": "btc_usd",
      "type": "limit",
      "side": "buy",
      "openingFee": 10,
      "closingFee": 0,
      "maintenanceMargin": 0,
      "quantity": 100,
      "entryNotionalUsd": 100,
      "exitNotionalUsd": null,
      "margin": 1000,
      "leverage": 10,
      "price": 20000,
      "liquidation": 18000,
      "stoploss": 10,
      "takeprofit": 10,
      "stoplossTrailingDistance": 0,
      "exitPrice": 0,
      "pl": 0,
      "createdAt": "2025-09-01T15:04:21.129Z",
      "filledAt": null,
      "closedAt": "2025-09-01T15:04:21.129Z",
      "entryPrice": 20000,
      "entryMargin": 1000,
      "entryBtcPrice": 100000,
      "open": false,
      "running": false,
      "canceled": true,
      "closed": false,
      "sumFundingFees": 0,
      "sumQuantoAdjustmentFees": 0,
      "sumCashInPl": 0,
      "sumCashInMargin": 0,
      "clientId": "test-client-id-123",
      "label": "strategy-a"
    }
  ],
  "nextCursor": {
    "value": "2024-01-15T10:30:00.000Z",
    "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e"
  }
}